Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZNotificationEvent Class Reference

The class eZNotificationEvent does. More...

Inheritance diagram for eZNotificationEvent:

## Public Member Functions
| __construct ( $row=array())
| initializeEventType ( $params=array())
| eventType ()
| content ()
| setContent ( $content)
Public Member Functions inherited from eZPersistentObject
| eZPersistentObject ( $row=null)
| fill ( $row)
| remove ( $conditions=null, $extraConditions=null)
| store ( $fieldFilters=null)
| sync ( $fieldFilters=null)
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr, $noFunction=false)
| setAttribute ( $attr, $val)
| hasDirtyData ()
| setHasDirtyData ( $hasDirtyData)

## Static Public Member Functions
static | definition ()
static | create ( $type, $params=array())
static | fetchList ( $limit=null)
static | fetch ( $eventID)
static | fetchUnhandledList ( $limit=null)
static | cleanup ()
Static Public Member Functions inherited from eZPersistentObject
static | replaceFieldsWithShortNames (eZDBInterface $db, array $fieldDefs, &$fields)
static | count ( $def, $conds=null, $field=null)
static | fetchObject ( $def, $field_filters, $conds, $asObject=true, $grouping=null, $custom_fields=null)
static | removeObject ( $def, $conditions=null, $extraConditions=null)
static | storeObject ( $obj, $fieldFilters=null)
static | conditionText ( $conditions)
static | conditionTextByRow ( $conditions, $row)
static | fetchObjectList ( $def, $field_filters=null, $conds=null, $sorts=null, $limit=null, $asObject=true, $grouping=false, $custom_fields=null, $custom_tables=null, $custom_conds=null)
static | handleRows ( $rows, $class_name, $asObject)
static | swapRow ( $table, $keys, $order_id, $rows, $id1, $id2)
static | newObjectOrder ( $def, $orderField, $conditions)
static | reorderObject ( $def, $orderField, $conditions, $down=true)
static | escapeArray ( $array)
static | updateObjectList ( $parameters)
static | getShortAttributeName ( $db, $def, $attrName)

## Public Attributes
| $TypeString
| $EventType
const | STATUS_CREATED = 0
const | STATUS_HANDLED = 1
| $Content = null
Public Attributes inherited from eZPersistentObject
| $PersistentDataDirty
| $ID
| $ContentObjectID
| $SectionID
| $OwnerID
| $ClassID
| $Published
| $Modified
| $CurrentVersion
| $Status
| $RemoteID
| $LanguageMask
| $InitialLanguageID
| $NodeID
| $ParentNodeID
| $MainNodeID
| $ContentObjectVersion
| $ContentObjectIsPublished
| $Depth
| $SortField
| $SortOrder
| $Priority
| $ModifiedSubNode
| $PathString
| $PathIdentificationString
| $IsHidden
| $IsInvisible
| $UserID
| $Name
| $Locale
| $Identifier
| $NavigationPartIdentifier
| $SerializedDescriptionList
| $URLAliasName
| $AlwaysAvailable
| $CanTranslate
| $DataInt1
| $DataInt2
| $DataInt3
| $DataInt4
| $DataFloat1
| $DataFloat2
| $DataFloat3
| $DataFloat4
| $DataText1
| $DataText2
| $DataText3
| $DataText4
| $DataText5
| $SerializedDataText
| $Category
| $PolicyID
| $Values
| $Created
| $CurrencyCode
| $ProductCollectionID
| $ItemCount
| $Price
| $IsVATIncluded
| $VATValue
| $DiscountValue
| $Email
| $IsTemporary
| $IsArchived
| $IsActive
| $OrderID
| $ModifierID
| $Code
| $Symbol
| $AutoRateValue
| $CustomRateValue
| $RateFactor
| $Main
| $MementoKey
| $MainKey
| $WorkflowEventPos
| $LanguageID
| $ContentObjectStateGroupID
| $contentobject_attribute_id
| $contentobject_id
| $rating
| $rating_count
| $rating_average

## Additional Inherited Members
Static Protected Member Functions inherited from eZPersistentObject
static | replaceFieldsWithLongNames (eZDBInterface $db, array $fieldDefs, &$fields)

## Detailed Description

The class eZNotificationEvent does.

Definition at line 16 of file eznotificationevent.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZNotificationEvent::__construct | ( |  | $row = `array()` | ) |

Initializes the object with the $row.

It will try to set each field taken from the database row. Calls fill to do the job. If $row is an integer, it will try to fetch it from the database using it as the unique ID.

Parameters

  int | array | $row |

Reimplemented from eZPersistentObject.

Definition at line 23 of file eznotificationevent.php.

References eZPersistentObject\attribute().

## Member Function Documentation

## ◆ cleanup()

static eZNotificationEvent::cleanup | ( |  | ) |
| static

Removes all notification events.

Definition at line 189 of file eznotificationevent.php.

References eZDB\instance().

## ◆ content()

eZNotificationEvent::content | ( |  | ) |

Returns the content for this event.

Definition at line 122 of file eznotificationevent.php.

References $Content, and eventType().

## ◆ create()

static eZNotificationEvent::create | ( |  | $type,
|  |  | $params = `array()`
| ) |  |
| static

Definition at line 83 of file eznotificationevent.php.

References eZDebugSetting\writeDebug().

Referenced by eZCollaborationItem\createNotificationEvent().

## ◆ definition()

static eZNotificationEvent::definition | ( |  | ) |
| static

Returns the definition for the object, the default implementation is to return an empty array. It's upto each inheriting class to return a proper definition array.

The definition array is an associative array consists of these keys:

- fields: an associative array of fields which defines which database field (the key) is to fetched and how they map to object member variables (the value).
- keys: an array of fields which is used for uniquely identifying the object in the table.
- function_attributes: an associative array of attributes which maps to member functions, used for fetching data with functions.
- set_functions: an associative array of attributes which maps to member functions, used for setting data with functions.
- increment_key: the field which is incremented on table inserts.
- class_name: the classname which is used for instantiating new objecs when fetching from the database.
- sort: an associative array which defines the default sorting of lists, the key is the table field while the value is the sorting method which is either 'asc' or 'desc'.
- name: the name of the database table

Example: `public static function definition() { return array( "fields" => array( "id" => "ID", "version" => "Version", "name" => "Name" ), "keys" => array( "id", "version" ), "function_attributes" => array( "current" => "currentVersion", "class_name" => "className" ), "increment_key" => "id", "class_name" => "eZContentClass", "sort" => array( "id" => "asc" ), "name" => "ezcontentclass" ); }`

Returns
  array

Reimplemented from eZPersistentObject.

Definition at line 29 of file eznotificationevent.php.

Referenced by fetch(), fetchList(), and fetchUnhandledList().

## ◆ eventType()

eZNotificationEvent::eventType | ( |  | ) |

Definition at line 109 of file eznotificationevent.php.

References $EventType, and eZNotificationEventType\create().

Referenced by content(), and initializeEventType().

## ◆ fetch()

static eZNotificationEvent::fetch | ( |  | $eventID | ) |
| static

Definition at line 159 of file eznotificationevent.php.

References definition(), and eZPersistentObject\fetchObject().

## ◆ fetchList()

static eZNotificationEvent::fetchList | ( |  | $limit = `null` | ) |
| static

Fetches notification events as objects, and returns them in an array.

The optional $limit can be used to set an offset and a limit for the fetch. It is passed to eZPersistentObject::fetchObjectList() and should be used in the same way.

Parameters

  array | $limit | An associative array with limitiations, can contain offset - Numerical value defining the start offset for the fetch length - Numerical value defining the max number of items to return

Returns
  array An array of eZNotificationEvent objects

Definition at line 152 of file eznotificationevent.php.

References definition(), and eZPersistentObject\fetchObjectList().

## ◆ fetchUnhandledList()

static eZNotificationEvent::fetchUnhandledList | ( |  | $limit = `null` | ) |
| static

Fetches unhandled notification events as objects, and returns them in an array.

The optional $limit can be used to set an offset and a limit for the fetch. It is passed to eZPersistentObject::fetchObjectList() and should be used in the same way.

Parameters

  array | $limit | An associative array with limitiations, can contain offset - Numerical value defining the start offset for the fetch length - Numerical value defining the max number of items to return

Returns
  array An array of eZNotificationEvent objects

Definition at line 178 of file eznotificationevent.php.

References definition(), and eZPersistentObject\fetchObjectList().

Referenced by eZNotificationEventFilter\process().

## ◆ initializeEventType()

eZNotificationEvent::initializeEventType | ( |  | $params = `array()` | ) |

Definition at line 102 of file eznotificationevent.php.

References eventType(), and eZDebugSetting\writeDebug().

## ◆ setContent()

eZNotificationEvent::setContent | ( |  | $content | ) |

Sets the content for the current event

Definition at line 135 of file eznotificationevent.php.

## Member Data Documentation

## ◆ $Content

eZNotificationEvent::$Content = null

Definition at line 195 of file eznotificationevent.php.

Referenced by content().

## ◆ $EventType

eZNotificationEvent::$EventType

Definition at line 19 of file eznotificationevent.php.

Referenced by eventType().

## ◆ $TypeString

eZNotificationEvent::$TypeString

Definition at line 18 of file eznotificationevent.php.

## ◆ STATUS_CREATED

const eZNotificationEvent::STATUS_CREATED = 0

Definition at line 20 of file eznotificationevent.php.

## ◆ STATUS_HANDLED

const eZNotificationEvent::STATUS_HANDLED = 1

Definition at line 21 of file eznotificationevent.php.

Referenced by eZNotificationEventFilter\process().

The documentation for this class was generated from the following file:

- eznotificationevent.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.